org.eclipse.rdf4j.common.transaction

## Class TransactionSettingRegistry

- java.lang.Object
- - org.eclipse.rdf4j.common.lang.service.ServiceRegistry<String,TransactionSettingFactory>
  - - org.eclipse.rdf4j.common.transaction.TransactionSettingRegistry

-     public class TransactionSettingRegistry
      extends ServiceRegistry<String,TransactionSettingFactory>

  A `ServiceRegistry` for creating/retrieving `TransactionSetting`s in a transparent way.
  Since:
    3.3.0
  Author:
    Jeen Broekstra

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.rdf4j.common.lang.service.ServiceRegistry

      `logger, services`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TransactionSettingRegistry` | `getInstance()` Gets the TransactionSettingRegistry singleton.
    `protected String` | `getKey(TransactionSettingFactory factory)` Gets the key for the specified service.

    - ### Methods inherited from class org.eclipse.rdf4j.common.lang.service.ServiceRegistry

      `add, get, getAll, getKeys, has, remove`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static TransactionSettingRegistry getInstance()

      Gets the TransactionSettingRegistry singleton.
      Returns:
        The registry singleton.

    - #### getKey

          protected String getKey(TransactionSettingFactory factory)

      Description copied from class: `ServiceRegistry`
      Gets the key for the specified service.
      Specified by:
        `getKey` in class `ServiceRegistry<String,TransactionSettingFactory>`
      Parameters:
        `factory` - The service to get the key for.
      Returns:
        The key for the specified service.

Copyright © 2015-2022 Eclipse Foundation. All Rights Reserved.